# Create tenant invite with roles for user

Creates an invitation with assigned roles for a specific user to join an account (tenant). Provide the user's ID via the `frontegg-user-id` header and the account ID via the `frontegg-tenant-id` header. For general invitations without a specific user, use the general invitation endpoint instead.

Endpoint: POST /resources/tenants/invites/v2/user
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Header parameters:

  - `frontegg-tenant-id` (string)
    The tenant identifier. Required for requests to api.frontegg.com (or your region) when using a management token. Parsed from the token when using user or API tokens

  - `frontegg-user-id` (string)
    The user identifier. Required for requests to api.frontegg.com (or your region) when using a management token. Parsed from the token when using user or API tokens

## Request fields (application/json):

  - `expiresInMinutes` (number, required)

  - `shouldSendEmail` (boolean, required)

  - `roleIds` (array, required)
    Array of role IDs to assign to invited users
    Example: ["role1","role2"]

## Response 201 fields (application/json):

  - `id` (string, required)

  - `vendorId` (string, required)

  - `tenantId` (string, required)

  - `userId` (string)

  - `token` (string, required)

  - `expires` (string, required)

  - `shouldSendEmail` (boolean, required)

  - `name` (string)

  - `roleIds` (array)

